Package org.apache.maven.scm.command.login

## Class LoginScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.login.LoginScmResult

All Implemented Interfaces:
  `java.io.Serializable`

    public class LoginScmResult
    extends ScmResult

Author:
  Emmanuel Venisse
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
`LoginScmResult​(java.lang.String commandLine, java.lang.String providerMessage, java.lang.String commandOutput, boolean success)`

### Method Summary

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoginScmResult

    public LoginScmResult​(java.lang.String commandLine,
                          java.lang.String providerMessage,
                          java.lang.String commandOutput,
                          boolean success)